Package org.apache.wiki.parser

## Class PluginContent

- java.lang.Object
- - org.jdom2.Content
  - - org.jdom2.Text
    - - org.apache.wiki.parser.PluginContent

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Cloneable`, `PluginElement`, `org.jdom2.NamespaceAware`

    public class PluginContent
    extends org.jdom2.Text
    implements PluginElement

Stores the contents of a plugin in a WikiDocument DOM tree.

If the Context.VAR_WYSIWYG_EDITOR_MODE is set to Boolean.TRUE in the context, then the plugin is rendered as WikiMarkup. This allows an HTML editor to work without rendering the plugin each time as well.

If Context.VAR_EXECUTE_PLUGINS is set to Boolean.FALSE, then the plugin is not executed.

Since:
  2.4
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jdom2.Content

`org.jdom2.Content.CType`

### Field Summary

### Fields inherited from class org.jdom2.Text

`value`

### Fields inherited from class org.jdom2.Content

`ctype, parent`

### Constructor Summary

Constructors
`PluginContent​(java.lang.String pluginName, java.util.Map<java.lang.String,​java.lang.String> parameters)` Creates a new DOM element with the given plugin name and a map of parameters.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `executeParse​(Context context)`
`java.lang.String` `getParameter​(java.lang.String name)`
`java.util.Map<java.lang.String,​java.lang.String>` `getParameters()`
`java.lang.String` `getPluginName()`
`java.lang.String` `getText()`
`java.lang.String` `getValue()`
`java.lang.String` `invoke​(Context context)`
`static PluginContent` `parsePluginLine​(Context context, java.lang.String commandline, int pos)` Parses a plugin invocation and returns a DOM element.

### Methods inherited from class org.jdom2.Text

`append, append, clone, detach, getParent, getTextNormalize, getTextTrim, normalizeString, setParent, setText, toString`

### Methods inherited from class org.jdom2.Content

`equals, getCType, getDocument, getNamespacesInherited, getNamespacesInScope, getNamespacesIntroduced, getParentElement, hashCode`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PluginContent

    public PluginContent​(java.lang.String pluginName,
                         java.util.Map<java.lang.String,​java.lang.String> parameters)

Creates a new DOM element with the given plugin name and a map of parameters.

Parameters:
  `pluginName` - The FQN of a plugin.
  `parameters` - A Map of parameters.

### Method Detail

#### getPluginName

    public java.lang.String getPluginName()

Specified by:
  `getPluginName` in interface `PluginElement`

#### getParameter

    public java.lang.String getParameter​(java.lang.String name)

Specified by:
  `getParameter` in interface `PluginElement`

#### getParameters

    public java.util.Map<java.lang.String,​java.lang.String> getParameters()

Specified by:
  `getParameters` in interface `PluginElement`

#### getValue

    public java.lang.String getValue()

Specified by:
  `getValue` in interface `PluginElement`
Overrides:
  `getValue` in class `org.jdom2.Text`

#### getText

    public java.lang.String getText()

Specified by:
  `getText` in interface `PluginElement`
Overrides:
  `getText` in class `org.jdom2.Text`

#### invoke

    public java.lang.String invoke​(Context context)

Specified by:
  `invoke` in interface `PluginElement`

#### executeParse

    public void executeParse​(Context context)
                      throws PluginException

Specified by:
  `executeParse` in interface `PluginElement`
Throws:
  `PluginException`

#### parsePluginLine

    public static PluginContent parsePluginLine​(Context context,
                                                java.lang.String commandline,
                                                int pos)
                                         throws PluginException

Parses a plugin invocation and returns a DOM element.

Parameters:
  `context` - The WikiContext
  `commandline` - The line to parse
  `pos` - The position in the stream parsing.
Returns:
  A DOM element
Throws:
  `PluginException` - If plugin invocation is faulty
Since:
  2.10.0